Computes a digest

- « openssl_dh_compute_key

- openssl_encrypt »

- PHP Manual
- OpenSSL Functions
- Computes a digest

# openssl_digest

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

openssl_digest — Computes a digest

### Description

openssl_digest(string `$data`, string `$digest_algo`, bool `$binary` = `false`): string|false

Computes a digest hash value for the given data using a given method, and returns a raw or binhex encoded string.

### Parameters

`data`

  The data.

`digest_algo`

  The digest method to use, e.g. "sha256", see openssl_get_md_methods() for a list of available digest methods.

`binary`

  Setting to `true` will return as raw output data, otherwise the return value is binhex encoded.

### Return Values

Returns the digested hash value on success or `false` on failure.

### Errors/Exceptions

Emits an `E_WARNING` level error if an unknown signature algorithm is passed via the `digest_algo` parameter.

### See Also

- openssl_get_md_methods() - Gets available digest methods